EDIT - feature request #4639

Show quantitative data correctly in Data portal (for Cyprus portal)
02/06/2015 04:31 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Ralf Hand % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: cdm_dataportal RELEASE 3.5.1

Severity: major

Description

In general we need to show quantitative data in the data portal somehow like (a)-b-c-e-(f) for extrema, min, max and average. Also
count n, standard deviation etc. need to be shown.

However, for now urgently need to implement correct min and max handling for altitudes in the Cyprus portal. Currently these data
are not in the feature tree to avoid showing them incorrectly, but most taxa do have altitude data.

"es gibt keine Specimens mit Hohenangaben. Es geht um kumulative H6henangaben fir fast alle zyprischen Arten. ... die
Hohenangaben [wurden] in den Editor eingepflegt (Federfiihrung A. Mller). Dazu gab es mit ihm und Dir schon ausfihrliche
E-Mail-Austausche. Die Anzeige im Portal gebricht noch an marginalen Problemen, vor allem dem, wenn Minimum und Maximum
gleich sind, also vor allem bei Kustenarten. Bei diesen sollte also nicht 0-0 m angezeigt werden, sondern nur 0 m o. &.

" Ralf

Gewlinsche Anzeige:

Altitudinal range

25-1050 m (_also bitte nicht mit Binde-, sondern mit Bis-Strich.

Maximum und Minimum also mit kumulierter Literaturangabe._)

siehe auch attachment

Zu klaren:

¢ Wenn Maximum und Minimum gleich sind, ist es unsinnig 25-25 m zu schreiben. Kann man das so programmieren, dass dann
einfach nur ,25 m* angezeigt wird? Ist zwar kein Range mehr, aber damit muss man leben. Ist auch vergleichsweise selten.

e Wenn Maximum und Minimum beide 0 m sind (bei vielen Kistenpflanzen), wére zu klaren, ob man dann nicht ,at sea level*
schreiben kénnte. 0 m sieht bléd aus und impliziert beim unbedarften Betrachter einen Fehler. Aber wenn das zuviel Arbeit
macht, muss eben 0 m da stehen.

Arten mit Hohenangaben:

¢ Salvia verbenaca

e Salvia veneris

Salvia fruticosa

Trifolium argutum (sealevel example)

Trifolium arvense

Trifolium lappaceum

e Bosea cypria

see also #4031
History

#1 - 02/09/2015 04:58 PM - Andreas Kohlbecker

- Status changed from New to In Progress

implemented (r22755) generically not nicely compacted as first step

#2 - 02/09/2015 05:06 PM - Andreas Kohlbecker

another commit | forgot to mention:

adding missing statisticalValues to init strategy r22758

#3 - 02/10/2015 05:31 PM - Andreas Kohlbecker

was machen wir denn mit den méglichen 'modifiers' die an DescriptionElement selbst aber auch an den einzelnen statistical values hangen kénnen?
Sollen die einfach hinten angehangt werden?

#4 - 02/10/2015 05:58 PM - Andreas Kohlbecker

implemented by r22760

all modifieres belonging to the min max average values are just appended to the string.
TODO: check for inconsistent cases, eg. only Max and average given

#5 - 02/10/2015 09:51 PM - Andreas Miiller

Replying to a.kohlbecker:

was machen wir denn mit den méglichen 'modifiers' die an DescriptionElement selbst aber auch an den einzelnen statistical values hangen
kdnnen? Sollen die einfach hinten angehangt werden?

die an DescriptionElement selbst

Werden die denn bei anderen DescElements bereits ausgewertet? Wenn dann sollten wir das allgemein angehen.
aber auch an den einzelnen statistical values

Ich wiirde sie eher davor stellen. Typischerweise sind das ja so Worter wie "ca.", "~", "meistens”, ... und die schreibt man ja eher vorne dran. Um das
genau zu bestimmen brauchte wir sonst noch eine weitere Differenzierung im Model.

#6 - 02/10/2015 09:52 PM - Andreas Miiller
Replying to a.kohlbecker:

implemented by r22760

all modifieres belonging to the min max average values are just appended to the string.

Please do prepend, not append.

#7 - 02/12/2015 04:51 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to r.hand -
Replying to a.mueller:
Replying to a.kohlbecker:
implemented by r22760

all modifieres belonging to the min max average values are just appended to the string.

Please do prepend, not append.
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment6
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment7
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment9
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment7

Ok, i implemented it that way: r22778

so the implementation of this feature is ready and can be revied!

#8 - 03/26/2015 02:41 PM - Andreas Miiller

| just checked this in production by adding the altitudinal range to the feature tree.

Everything to me as a non-taxonomist looked fine. However, the 2 extra cases seem to be not yet implemented. These are min = max and min = max
= 0; they still show up as 25-25 m or 0-0 m respectively.

An example is Trifolium argutum.
After testing | removed the feature from the feature again as this is something Ralf needs to decide.

#9 - 03/26/2015 04:10 PM - Andreas Miiller
- Target version set to cdm_dataportal RELEASE 3.5.0

#10 - 04/15/2015 11:26 AM - Andreas Kohlbecker
- Assignee changed from r.hand - to Andreas Miiller
Replying to a.mueller:
| just checked this in production by adding the altitudinal range to the feature tree.
Everything to me as a non-taxonomist looked fine. However, the 2 extra cases seem to be not yet implemented. These are min = max and min =
max = 0; they still show up as 25-25 m or 0-0 m respectively.
this pug is now fixed! git: 4417184
but the bugfix will only be available in release 3.5.1
#11 - 04/15/2015 03:49 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to r.hand -
The min/max problem seems to be fixed.
Lat sea level” is not yet fixed, but probably difficult to handle because the modul is for quantitative data in general and not only for altitudinal ranges.
| give review back to Ralf.

#12 - 04/15/2015 03:51 PM - Andreas Miiller
- Target version changed from cdm_dataportal RELEASE 3.5.0 to cdm_dataportal RELEASE 3.5.1

#13 - 04/15/2015 04:05 PM - Andreas Kohlbecker
Replying to a.mueller:
The min/max problem seems to be fixed.
,at sea level” is not yet fixed, but probably difficult to handle because the modul is for quantitative data in general and not only for altitudinal

ranges.

it would be possible to implement this as a special case for the FeatureType Altitudinal Range

#14 - 04/15/2015 04:31 PM - Andreas Miiller

be aware of i18n issues when implementing "at sea level"

#15 - 03/21/2017 09:59 AM - Andreas Kohlbecker
- Description updated

- Status changed from Resolved to Closed

Hallo Andreas,

aus Zypern-Sicht dirfte alles umgesetzt sein. Was ich auf die Schnelle nicht Uberprifen kann, sind Falle, wo Min. und Max. gleich sind. Der "alte" Fall
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment11
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment14

Trifolium argutum passt leider nicht mehr, da es bei der Art inzwischen ungleiche Werte gibt. Bei den Strandarten, wo Min. und Max. 0 m sind, wird
aber offenbar nur einmal 0 m angezeigt. Beispiel: Maresia nana.

In den letzten Monaten habe ich bei den Héhenangaben nur einzelne geandert. Dabei fielen aber sonst keine Probleme auf. Thema kann also
zun&chst mal ruhen.

Viele GruBBe
Ralf

#16 - 03/21/2017 09:59 AM - Andreas Kohlbecker
Hallo Ralf,
danke fur die Kontrolle.
Bei den Strandarten, wo Min. und Max. 0 m sind, wird aber offenbar nur einmal 0 m angezeigt.

Das ist bewusst so gemacht, um um die Anzeige zu entschlacken. Min: 0m, Max Om bringt meines Erachtens keinen Zugewinn an Information
gegeniiber Om

Viele GruB3e
Andreas

#17 - 03/21/2017 09:59 AM - Andreas Kohlbecker

- Private changed from Yes to No
